Index: src/sas/sasview/local_config.py
===================================================================
--- src/sas/sasview/local_config.py	(revision 1b4cb415644d6a02d2bc0e559654a42560242058)
+++ src/sas/sasview/local_config.py	(revision 839f70f759caa589905d9a52601c1b91d3151dba)
@@ -16,4 +16,6 @@
 __appname__ = "SasView"
 __version__ = sas.sasview.__version__
+__DOI__ = sas.sasview.__DOI__
+__release_date__ = sas.sasview.__release_date__
 __build__ = sas.sasview.__build__
 __download_page__ = 'https://github.com/SasView/sasview/releases'
@@ -36,6 +38,6 @@
 _do_tutorial = True
 _acknowledgement_preamble =\
-'''To ensure the long term support and development of this software please''' +\
-''' remember to:'''
+'''To ensure the long term support and development of this software please
+remember to:'''
 _acknowledgement_preamble_bullet1 =\
 '''Acknowledge its use in your publications as :'''
@@ -47,10 +49,18 @@
 '''Send us your reference for our records: developers@sasview.org'''
 _acknowledgement_publications = \
-'''This work benefited from the use of the SasView application, originally developed under NSF Award DMR-0520547. SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project Grant No 654000.'''
+("This work benefited from the use of the SasView application, originally"
+"developed under NSF Award DMR-0520547. SasView also contains code developed"
+"with funding from the EU Horizon 2020 programme under the SINE2020 project"
+"Grant No 654000.")
 _acknowledgement_citation = \
-'''M. Doucet et al. SasView Version 4.2, Zenodo, 10.5281/zenodo.1412041'''
+'''M. Doucet et al. SasView Version %s, %s''' % (__version__, __DOI__)
 _acknowledgement =  \
-'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, BAM and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
-'''
+("This work was originally developed as part of the DANSE project funded by"
+"the US NSF under Award DMR-0520547,\n but is currently maintained by a"
+"collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft,"
+"DLS, BAM and the scattering community.\n\n SasView also contains code"
+"developed with funding from the EU Horizon 2020 programme under the SINE2020"
+"project (Grant No 654000).\nA list of individual contributors can be found"
+"at: http://www.sasview.org/contact.html")
 
 _homepage = "http://www.sasview.org"
@@ -95,5 +105,6 @@
 _corner_image = os.path.join(icon_path, "angles_flat.png")
 _welcome_image = os.path.join(icon_path, "SVwelcome.png")
-_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS and BAM"
+_copyright = ("(c) 2009 - %s, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO,"
+              "TU Delft, DLS and BAM") % __release_date__
 marketplace_url = "http://marketplace.sasview.org/"
 
Index: test/sasdataloader/test/utest_ascii.py
===================================================================
--- test/sasdataloader/test/utest_ascii.py	(revision db5196dd7f9255bf3b6ada8a4fd9ac553d59d362)
+++ test/sasdataloader/test/utest_ascii.py	(revision 9fb4572de33478e1d35c616d65a55afd2bc3e077)
@@ -10,4 +10,5 @@
 import unittest
 from sas.sascalc.dataloader.loader import Loader
+from sas.sascalc.dataloader.data_info import Data2D
 
 
@@ -121,4 +122,5 @@
             self.assertFalse(math.isnan(f_1d.y[i]))
             self.assertFalse(math.isnan(f_1d.dy[i]))
+        self.assertTrue(isinstance(f_2d, Data2D))
         f_2d.data = f_2d.data.flatten()
         f_2d.qx_data = f_2d.qx_data.flatten()
Index: test/sasdataloader/test/utest_averaging.py
===================================================================
--- test/sasdataloader/test/utest_averaging.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
+++ test/sasdataloader/test/utest_averaging.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -106,5 +106,5 @@
 
     def setUp(self):
-        filepath = find('MAR07232_rest.h5')
+        filepath = find('test_data' + os.sep + 'MAR07232_rest.h5')
         self.data_list = Loader().load(filepath)
         self.data = self.data_list[0]
@@ -121,5 +121,5 @@
 
         o = r(self.data)
-        filepath = find('ring_testdata.txt')
+        filepath = find('test_data' + os.sep + 'ring_testdata.txt')
         answer_list = Loader().load(filepath)
         answer = answer_list[0]
@@ -142,5 +142,5 @@
         o = r(self.data)
 
-        filepath = find('avg_testdata.txt')
+        filepath = find('test_data' + os.sep + 'avg_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(r.nbins_phi):
@@ -158,5 +158,5 @@
         s, ds, npoints = r(self.data)
         self.assertAlmostEqual(s, 34.278990899999997, 4)
-        self.assertAlmostEqual(ds, 7.8007981835194293, 4)
+        self.assertAlmostEqual(ds, 8.237259999538685, 4)
         self.assertAlmostEqual(npoints, 324.0000, 4)
 
@@ -164,5 +164,5 @@
         s, ds = r(self.data)
         self.assertAlmostEqual(s, 0.10579935462962962, 4)
-        self.assertAlmostEqual(ds, 0.024076537603455028, 4)
+        self.assertAlmostEqual(ds, 0.02542364197388483, 4)
 
     def test_slabX(self):
@@ -177,5 +177,5 @@
         o = r(self.data)
 
-        filepath = find('slabx_testdata.txt')
+        filepath = find('test_data' + os.sep + 'slabx_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -195,5 +195,5 @@
         o = r(self.data)
 
-        filepath = find('slaby_testdata.txt')
+        filepath = find('test_data' + os.sep + 'slaby_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -221,5 +221,5 @@
         o = r(self.data)
 
-        filepath = find('ring_testdata.txt')
+        filepath = find('test_data' + os.sep + 'ring_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -238,5 +238,5 @@
         o = r(self.data)
 
-        filepath = find('sectorphi_testdata.txt')
+        filepath = find('test_data' + os.sep + 'sectorphi_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -255,5 +255,5 @@
         o = r(self.data)
 
-        filepath = find('sectorq_testdata.txt')
+        filepath = find('test_data' + os.sep + 'sectorq_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
+++ test/sasdataloader/test/utest_cansas.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -91,8 +91,5 @@
         reader = XMLreader(self.xml_valid, self.schema_1_0)
         valid = reader.validate_xml()
-        if valid:
-            self.assertTrue(valid)
-        else:
-            self.assertFalse(valid)
+        self.assertTrue(valid)
 
     def _check_data(self, data):
@@ -193,6 +190,5 @@
     def test_save_cansas_v1_0(self):
         xmlreader = XMLreader(self.isis_1_0, self.schema_1_0)
-        valid = xmlreader.validate_xml()
-        self.assertTrue(valid)
+        self.assertTrue(xmlreader.validate_xml())
         reader_generic = Loader()
         dataloader = reader_generic.load(self.isis_1_0)
@@ -207,7 +203,6 @@
             return_data = reader2.read(self.write_1_0_filename)
             written_data = return_data[0]
-            XMLreader(self.write_1_0_filename, self.schema_1_0)
-            valid = xmlreader.validate_xml()
-            self.assertTrue(valid)
+            xmlreader = XMLreader(self.write_1_0_filename, self.schema_1_0)
+            self.assertTrue(xmlreader.validate_xml())
             self._check_data(written_data)
         if os.path.isfile(self.write_1_0_filename):
@@ -260,7 +255,10 @@
         self.loader = Loader()
         self.datafile_basic = find("simpleexamplefile.h5")
-        self.datafile_multiplesasentry = find("cansas_1Dand2D_samedatafile.h5")
-        self.datafile_multiplesasdata = find("cansas_1Dand2D_samesasentry.h5")
-        self.datafile_multiplesasdata_multiplesasentry = find("cansas_1Dand2D_multiplesasentry_multiplesasdata.h5")
+        self.datafile_multiplesasentry = find(
+            "test_data" + os.sep + "nxcansas_1Dand2D_multisasentry.h5")
+        self.datafile_multiplesasdata = find(
+            "test_data" + os.sep + "nxcansas_1Dand2D_multisasdata.h5")
+        self.datafile_multiplesasdata_multiplesasentry = find(
+            "test_data" + os.sep + "nxcansas_1Dand2D_multisasentry_multisasdata.h5")
 
     def test_real_data(self):
@@ -273,40 +271,75 @@
         self._check_multiple_data(self.data[0])
         self._check_multiple_data(self.data[1])
-        self._check_1d_data(self.data[0])
+        if isinstance(self.data[0], Data1D):
+            self._check_1d_data(self.data[0])
+            self._check_2d_data(self.data[1])
+        else:
+            self._check_1d_data(self.data[1])
+            self._check_2d_data(self.data[0])
+
+    def test_multiple_sasdatas(self):
+        self.data = self.loader.load(self.datafile_multiplesasdata)
+        self.assertTrue(len(self.data) == 2)
+        self._check_multiple_data(self.data[0])
+        self._check_multiple_data(self.data[1])
+        if isinstance(self.data[0], Data1D):
+            self._check_1d_data(self.data[0])
+            self._check_2d_data(self.data[1])
+        else:
+            self._check_1d_data(self.data[1])
+            self._check_2d_data(self.data[0])
+
+    def test_multiple_sasentries_multiplesasdatas(self):
+        self.data = self.loader.load(
+            self.datafile_multiplesasdata_multiplesasentry)
+        self.assertTrue(len(self.data) == 4)
+        self._check_multiple_data(self.data[0])
+        self._check_multiple_data(self.data[1])
+        self._check_multiple_data(self.data[2])
+        self._check_multiple_data(self.data[3])
+        for data in self.data:
+            if isinstance(data, Data1D):
+                self._check_1d_data(data)
+            else:
+                self._check_2d_data(data)
 
     def _check_multiple_data(self, data):
-        self.assertTrue(data.title == "MH4_5deg_16T_SLOW")
-        self.assertTrue(data.run[0] == '33837')
-        self.assertTrue(len(data.run) == 1)
-        self.assertTrue(data.instrument == "SANS2D")
-        self.assertTrue(data.source.radiation == "Spallation Neutron Source")
-        self.assertTrue(len(data.detector) == 1)
-        self.assertTrue(data.detector[0].name == "rear-detector")
-        self.assertTrue(data.detector[0].distance == 4.385281)
-        self.assertTrue(data.detector[0].distance_unit == 'm')
-        self.assertTrue(len(data.trans_spectrum) == 1)
+        self.assertEqual(data.title, "MH4_5deg_16T_SLOW")
+        self.assertEqual(data.run[0], '33837')
+        self.assertEqual(len(data.run), 1)
+        self.assertEqual(data.instrument, "SANS2D")
+        self.assertEqual(data.source.radiation, "Spallation Neutron Source")
+        self.assertEqual(len(data.detector), 2)
+        self.assertTrue(data.detector[0].name == "rear-detector"
+                        or data.detector[1].name == "rear-detector")
+        self.assertTrue(data.detector[0].name == "front-detector"
+                        or data.detector[1].name == "front-detector")
+        self.assertAlmostEqual(data.detector[0].distance +
+                               data.detector[1].distance, 7230.54, 2)
+        self.assertEqual(data.detector[0].distance_unit, 'mm')
+        self.assertEqual(len(data.trans_spectrum), 1)
 
     def _check_1d_data(self, data):
-        self.assertTrue(isinstance(data, Data1D))
-        self.assertTrue(len(data.x) == 66)
-        self.assertTrue(len(data.x) == len(data.y))
-        self.assertTrue(data.dy[10] == 0.20721350111248701)
-        self.assertTrue(data.y[10] == 24.193889608153476)
-        self.assertTrue(data.x[10] == 0.008981127988654792)
+        self.assertEqual(len(data.x), 66)
+        self.assertEqual(len(data.x), len(data.y))
+        self.assertAlmostEqual(data.dy[10], 0.207214)
+        self.assertAlmostEqual(data.y[10], 24.1939)
+        self.assertAlmostEqual(data.x[10], 0.00898113)
 
     def _check_2d_data(self, data):
         self.assertTrue(isinstance(data, Data2D))
-        self.assertTrue(len(data.x) == 66)
-        self.assertTrue(len(data.x) == len(data.y))
-        self.assertTrue(data.dy[10] == 0.20721350111248701)
-        self.assertTrue(data.y[10] == 24.193889608153476)
-        self.assertTrue(data.x[10] == 0.008981127988654792)
+        self.assertEqual(len(data.q_data), 150*150)
+        self.assertEqual(len(data.q_data), len(data.data))
+        self.assertAlmostEqual(data.err_data[10], 0.186723989418)
+        self.assertAlmostEqual(data.data[10], 0.465181)
+        self.assertAlmostEqual(data.qx_data[10], -0.129)
+        self.assertAlmostEqual(data.qy_data[10], -0.149)
 
     def _check_example_data(self, data):
-        self.assertTrue(data.title == "")
-        self.assertTrue(data.x.size == 100)
-        self.assertTrue(data._xunit == "A^{-1}")
-        self.assertTrue(data._yunit == "cm^{-1}")
-        self.assertTrue(data.y.size == 100)
+        self.assertEqual(data.title, "")
+        self.assertEqual(data.x.size, 100)
+        self.assertEqual(data._xunit, "A^{-1}")
+        self.assertEqual(data._yunit, "cm^{-1}")
+        self.assertEqual(data.y.size, 100)
         self.assertAlmostEqual(data.y[40], 0.952749011516985)
         self.assertAlmostEqual(data.x[40], 0.3834415188257777)
Index: test/sasdataloader/test/utest_red2d_reader.py
===================================================================
--- test/sasdataloader/test/utest_red2d_reader.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
+++ test/sasdataloader/test/utest_red2d_reader.py	(revision fc51d06ca61c96f09100f834da5f2bd421f461f7)
@@ -31,6 +31,6 @@
         self.assertEqual(f.qx_data[0],-0.03573497)
         self.assertEqual(f.qx_data[36863],0.2908819)
-        self.assertEqual(f.Q_unit, '1/A')
-        self.assertEqual(f.I_unit, '1/cm')
+        self.assertEqual(f.Q_unit, 'A^{-1}')
+        self.assertEqual(f.I_unit, 'cm^{-1}')
 
         self.assertEqual(f.meta_data['loader'],"IGOR/DAT 2D Q_map")
Index: test/sasdataloader/test/utest_sesans.py
===================================================================
--- test/sasdataloader/test/utest_sesans.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
+++ test/sasdataloader/test/utest_sesans.py	(revision f4e2f22f114f61e70b4756a304d744184be4ab99)
@@ -25,5 +25,6 @@
             Test .SES in the full loader to make sure that the file type is correctly accepted
         """
-        file = Loader().load(find("sesans_examples/sphere2micron.ses"))
+        file = Loader().load(find("sesans_examples" + os.sep +
+                                  "sphere2micron.ses"))
         f = file[0]
         # self.assertEqual(f, 5)
@@ -44,5 +45,5 @@
             Test .SES loading on a TOF dataset
         """
-        file = self.loader(find("sesans_examples/sphere_isis.ses"))
+        file = self.loader(find("sesans_examples" + os.sep + "sphere_isis.ses"))
         f = file[0]
         self.assertEqual(len(file), 1)
@@ -62,5 +63,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/sesans_no_data.ses"))
+            find("sesans_examples" + os.sep + "sesans_no_data.ses"))
 
     def test_sesans_no_spin_echo_unit(self):
@@ -71,5 +72,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/no_spin_echo_unit.ses"))
+            find("sesans_examples" + os.sep + "no_spin_echo_unit.ses"))
 
     def test_sesans_future_version(self):
@@ -80,5 +81,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/next_gen.ses"))
+            find("sesans_examples" + os.sep + "next_gen.ses"))
 
     def test_sesans_mandatory_headers(self):
@@ -89,5 +90,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/no_wavelength.ses"))
+            find("sesans_examples" + os.sep + "no_wavelength.ses"))
 
     def test_sesans_columns_match_headers(self):
@@ -98,5 +99,5 @@
             FileContentsException,
             self.loader,
-            find("sesans_examples/too_many_headers.ses"))
+            find("sesans_examples" + os.sep + "too_many_headers.ses"))
 
 if __name__ == "__main__":
